JavaScriptフレームワーク「Vue.js」でWijmoを使う【2023年版】

Vue.jsは、AngularやReactなどと同じくフロントエンド開発での採用実績が増えているJavaScriptフレームワークのひとつです。日本語ドキュメントも非常に充実しており学習しやすいのもポイントです。

本記事では、このVue.jsの最新版「Vue 3」とJavaScript開発ライブラリ「Wijmo(ウィジモ)」のデータグリッドコントロール「FlexGrid(フレックスグリッド)」でデータ表示を行うアプリケーションを作成する方法を紹介します。

開発環境

今回は以下の環境を使用してVue.jsでWijmoを使用する方法を解説します。

  • Node.js(18.12.1)
  • npm(9.2.0)
  • Wijmo(5.20221.857)

Node.jsのインストーラーは公式サイトから取得可能です。またnpmは、Node.jsのインストールによって利用できるようになります。Node.jsのインストール後にターミナルから以下のコマンドを実行し、バージョン番号が確認できれば、セットアップは完了です。

npm -v

Vueアプリケーションを作成する

まずはcreate-vueを利用して、Vueアプリケーションを作成します。

npm init vue@3

create-vueがコンピュータにインストールされていない場合は、上記のコマンド実行時に以下のようなメッセージが表示されインストールを促されます。Yキーを押下してインストールを行います。

Need to install the following packages:
  create-vue@3.5.0
Ok to proceed? (y)

今回プロジェクト名には「wijmo-vue3」を設定しました。

? Project name: » wijmo-vue3

上記のほか、create-vueによって様々なオプションの選択を求められますが、今回はすべてデフォルトの「NO」を選択して、もっともシンプルな形でアプリケーションを作成します。

√ Project name: ... wijmo-vue3
√ Add TypeScript? ... No / Yes
√ Add JSX Support? ... No / Yes
√ Add Vue Router for Single Page Application development? ... No / Yes
√ Add Pinia for state management? ... No / Yes
√ Add Vitest for Unit Testing? ... No / Yes
√ Add an End-to-End Testing Solution? » No
√ Add ESLint for code quality? ... No / Yes

アプリケーションの実行

プロジェクトを作成したら、動作確認のために実行してみます。以下のコマンドを実行してプロジェクトフォルダ「wijmo-vue3」に移動します。

cd wijmo-vue3

次に以下のコマンドを実行してアプリケーションを起動します。

npm install
npm run dev

ブラウザで「http://localhost:5173/」を開くと以下のようにVueアプリケーションの実行を確認できます。

Vueアプリケーションの起動

VueアプリケーションでWijmoを使う

npmパッケージのインストール

先ほど作成したVueアプリケーションにWijmoを組み込んでいきます。まずはWijmoのVue.jsパッケージをインストールします。
※ パッケージ名が「vue2」となっていますが、Vue 3でも利用可能です。

npm install @grapecity/wijmo.vue2.all

Wijmoモジュールのインポートと各種設定

「src/App.vue」ファイルで、Wijmoのスタイルと「WjFlexGrid」コンポーネントをインポートし、テンプレートに配置します。

<script setup>
//WjFlexGridコンポーネントをインポートします。
import { WjFlexGrid } from '@grapecity/wijmo.vue2.grid';
</script>

<template>
    <wj-flex-grid></wj-flex-grid>
</template>

<style>
/* Wijmoのスタイルファイルをインポートします */
@import '@grapecity/wijmo.styles/wijmo.css';
</style>

さらに同ファイルで、WjFlexGridコンポーネントのitemsSourceプロパティを設定し、グリッド上に表示するデータソースを定義します。

<script setup>
//WjFlexGridコンポーネントをインポートします。
import { WjFlexGrid } from '@grapecity/wijmo.vue2.grid';

//グリッド用のデータを定義します。
const gridData = [
    { id: 15, product: 'ピュアデミグラスソース', date: '2022/10/19', amount: 6000 },
    { id: 17, product: 'だしこんぶ', date: '2022/10/19', amount: 14500 },
    { id: 18, product: 'ピリカラタバスコ', date: '2022/10/19', amount: 4000 },
    { id: 84, product: 'なまわさび', date: '2022/10/19', amount: 8000 }
]
</script>

<template>
   <wj-flex-grid :itemsSource="gridData"></wj-flex-grid>
</template>
・・・(中略)・・・

次にデータの項目に応じてグリッドの列情報を設定します。WjFlexGridColumnコンポーネントをインポートし、WjFlexGridColumnコンポーネントに各プロパティの値を設定します。

・・・(中略)・・・
<template>
    <wj-flex-grid :itemsSource="gridData">
        <wj-flex-grid-column header="ID" binding="id" :width="60"></wj-flex-grid-column>
        <wj-flex-grid-column header="商品名" binding="product" :width="200"></wj-flex-grid-column>
        <wj-flex-grid-column header="受注日" binding="date" :width="120"></wj-flex-grid-column>
        <wj-flex-grid-column header="金額" binding="amount" :width="100" format="c"></wj-flex-grid-column>
    </wj-flex-grid>
</template>
・・・(中略)・・・

合わせて、日本語化カルチャをインポートします。

<script setup>
//WjFlexGrid、WjFlexGridColumnコンポーネントをインポートします。
import { WjFlexGrid, WjFlexGridColumn } from '@grapecity/wijmo.vue2.grid';
//日本語化カルチャをインポートします。
import '@grapecity/wijmo.cultures/wijmo.culture.ja';
・・・(中略)・・・

「src/App.vue」ファイルの最終的なソースコードは以下のようになります。

<script setup>
//WjFlexGrid、WjFlexGridColumnコンポーネントをインポートします。
import { WjFlexGrid, WjFlexGridColumn } from '@grapecity/wijmo.vue2.grid';
//日本語化カルチャをインポートします。
import '@grapecity/wijmo.cultures/wijmo.culture.ja';

//グリッド用のデータを定義します。
const gridData = [
  { id: 15, product: 'ピュアデミグラスソース', date: '2022/10/19', amount: 6000 },
  { id: 17, product: 'だしこんぶ', date: '2022/10/19', amount: 14500 },
  { id: 18, product: 'ピリカラタバスコ', date: '2022/10/19', amount: 4000 },
  { id: 84, product: 'なまわさび', date: '2022/10/19', amount: 8000 }
]
</script>

<template>
  <wj-flex-grid :itemsSource="gridData">
    <wj-flex-grid-column header="ID" binding="id" :width="60"></wj-flex-grid-column>
    <wj-flex-grid-column header="商品名" binding="product" :width="200"></wj-flex-grid-column>
    <wj-flex-grid-column header="受注日" binding="date" :width="120"></wj-flex-grid-column>
    <wj-flex-grid-column header="金額" binding="amount" :width="100" format="c"></wj-flex-grid-column>
  </wj-flex-grid>
</template>

<style>
/* Wijmoのスタイルファイルをインポートします */
@import '@grapecity/wijmo.styles/wijmo.css';
</style>

以上でWijmoの設定は完了ですが、FlexGridの表示に影響があるので、デフォルトで設定してある「main.js」内の「assets/main.css」のインポートをコメントアウトします。

import { createApp } from 'vue'
import App from './App.vue'

//import './assets/main.css'

createApp(App).mount('#app')

アプリケーションの実行

再度以下のコマンドを実行し、Vueアプリケーションを起動します。

npm run dev

ブラウザで「http://localhost:5173/」を開くと、先ほどのVueアプリケーションに組み込んだFlexGridにデータが表示されていることが確認できます。

VueアプリケーションでWijmoのFlexGridを表示

さいごに

以上がVue.jsを使用してWijmoのデータグリッド「FlexGrid」でデータ表示を行うWebアプリケーションを作成する方法でした。

製品サイトでは、Wijmoの機能を手軽に体験できるデモアプリケーションやトライアル版も公開しておりますので、こちらもご確認ください。

また、ご導入前の製品に関するご相談、ご導入後の各種サービスに関するご質問など、お気軽にお問合せください。

\  この記事をシェアする  /

JavaScriptフレームワーク「Angular」でWijmoを使う【2022年版】

(2022年11月1日更新)

本記事では、Angular CLIとWijmoを使用してグリッドでデータ表示を行うAngularアプリケーションを作成する方法を紹介します。2017年2月14日に投稿した記事「Angular & Wijmoクイックスタート – アプリケーションの作成」を、2022年11月時点における最新の技術と弊社製品で更新した内容です。

Angularではフレームワークの機能拡張だけでなく、開発効率の向上にも力を入れて取り組んでいます。コマンドラインツールのAngular CLIを使用することで、非常に簡単にAngularアプリケーションを作成することが可能です。

また、WijmoはAngularをサポートしており、Angularの標準的な方法でグリッド/チャート/入力などのエンタープライズ向けの高機能なUIコンポーネントを利用することができます。

Angularアプリケーションを作成する

npm installコマンドを実行して、Angular CLIパッケージをグローバルにインストールします。インストール済みの場合は不要です。

npm install -g @angular/cli

上記のコマンドを実行することでAngularの最新版がインストールされますが、以下のように「@」の後ろにバージョンを指定することで特定のバージョンをインストールすることもできます。

npm install -g @angular/cli@14.x.x

なお、使用するWijmoのバージョンに応じてサポートされるAngularのバージョンは異なります。詳しくは以下のページをご覧ください。

インストールが完了したら、以下のコマンドでAngular CLIのバージョン等を確認できます。

ng version
Angularのバージョン確認

ng newコマンドを実行して、Angularアプリケーションを作成します。アプリケーションのオプションをいくつか質問されますが、全てEnterキーを押して既定値を選択します。

ng new quickstart

アプリケーションプロジェクトのフォルダに移動して、ng serve --openコマンドを実行すると、開発サーバー上でアプリケーションが実行されます。ブラウザでhttp://localhost:4200が自動で開き、以下の画面が表示されます。また、ソースファイルを変更すると自動的に変更が反映されます。

cd quickstart
ng serve --open
Angularアプリケーションの起動

開発サーバーの起動を確認したらCtrl+Cキーを押して終了しておきます。

Wijmoのパッケージをインストールする

npm installコマンドを実行して、Wijmoパッケージをアプリケーションにインストールします。

npm install @grapecity/wijmo.angular2.all

上記のコマンドを実行することでWijmoの最新版がインストールされますが、以下のように「@」の後ろに製品バージョンを指定することで特定のバージョンをインストールすることもできます。

npm install @grapecity/wijmo.angular2.all@5.20221.xxx

「src\styles.css」にWijmoのスタイルをインポートします。

@import '@grapecity/wijmo.styles/wijmo.css';

「src\app\app.modules.ts」にFlexGridを含むモジュール「WjGridModule」とカルチャーをインポートします。

・・・(中略)・・・
import { WjGridModule } from '@grapecity/wijmo.angular2.grid';
import '@grapecity/wijmo.cultures/wijmo.culture.ja';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    WjGridModule
  ],
・・・(中略)・・・

「src\app\app.component.html」を以下のように書き換え、「wj-flex-grid」要素を追加します。

<wj-flex-grid [itemsSource]="gridData">
  <wj-flex-grid-column header="ID" binding="id" [width]="60"></wj-flex-grid-column>
  <wj-flex-grid-column header="商品名" binding="product" [width]="200"></wj-flex-grid-column>
  <wj-flex-grid-column header="受注日" binding="date" [width]="120"></wj-flex-grid-column>
  <wj-flex-grid-column header="金額" binding="amount" [width]="100" format="c"></wj-flex-grid-column>
</wj-flex-grid>

「src\app\app.component.ts」にFlexGridに表示するデータ「gridData」を作成します。

・・・(中略)・・・
export class AppComponent {
  title = 'quickstart';
  gridData = [
    { id: 15, product: 'ピュアデミグラスソース', date: '2017/01/10', amount: 6000 },
    { id: 17, product: 'だしこんぶ', date: '2017/01/08', amount: 14500 },
    { id: 18, product: 'ピリカラタバスコ', date: '2017/01/12', amount: 4000 },
    { id: 84, product: 'なまわさび', date: '2017/01/21', amount: 8000 },
  ];
}

以上の手順で、クイックスタートアプリケーションの作成は完了です。

ng serve --openコマンドを実行して「http://localhost:4200」に接続すると、AngularアプリケーションでFlexGridコンポーネントが表示されていることを確認できます。

Angular上でFlexGridの表示

さいごに

以上がAngularを使用してWijmoのデータグリッド「FlexGrid」でデータ表示を行うWebアプリケーションを作成する方法でした。

製品サイトでは、Wijmoの機能を手軽に体験できるデモアプリケーションやトライアル版も公開しておりますので、こちらもご確認ください。

また、ご導入前の製品に関するご相談、ご導入後の各種サービスに関するご質問など、お気軽にお問合せください。

\  この記事をシェアする  /

JavaScriptフレームワーク「React」でWijmoを使う【2023年版】

「React(リアクト)」はFacebookが開発したJavaScriptフレームワークです。世界中のIT技術者1万人以上から取ったアンケートの結果をまとめた「State of JavaScript」において、2016年から2022年まで常にトップの利用率を維持しているフロントエンドフレームワークです。

JavaScript開発ライブラリ「Wijmo(ウィジモ)」はReactをサポートしており、Reactの標準的な方法でグリッド/入力/チャートなどのエンタープライズ開発で必要とされるWijmoのコンポーネントを利用することができます。

本記事では、このReactとWijmoを使用してグリッドでデータ表示を行うReactアプリケーションを作成する方法を紹介します。
※ 2017年11月24日に投稿した記事「React & Wijmoクイックスタート」を、2023年7月時点における最新の技術と弊社製品で更新した内容です。

開発環境

  • Node.js(Version 18.16.1)
  • React 18.2.0

Wijmoを使用したReactアプリケーションの作成

Create React AppでReactアプリケーションの作成

Reactではコマンドラインツール「Create React App」を使用することで、非常に簡単にReactアプリケーションを作成することが可能です。

以下のコマンドを実行して、ベースとなるReactアプリケーションを作成します。コマンドを実行して少し待つと、アプリケーションのソースファイルや設定ファイルが自動生成され、パッケージがインストールされます。

npx create-react-app quickstart

アプリケーションプロジェクトのフォルダに移動して、「npm start」コマンドを実行すると、開発サーバー上でアプリケーションが実行されます。アプリケーションはブラウザで「http://localhost:3000」を参照すると表示でき、ソースファイルを変更すると自動的に変更が反映されます。

cd quickstart
npm start
Reactアプリの起動

開発サーバーの起動を確認したらCtrl+Cキーを押して終了しておきます。

Wijmoのインストールと組み込み

「npm install」コマンドを実行して、Wijmoパッケージをアプリケーションにインストールします。

npm install @grapecity/wijmo.react.all

「src\App.js」を以下のように修正してWijmoのReactモジュールやCSS、日本語カルチャファイルをインポートし、FlexGridをReactの関数コンポーネントとして組み込みます。
※ ライセンスキーを設定しない場合トライアル版を示すメッセージが表示されます。ライセンスキーの入手や設定方法についてはこちらをご覧ください。

import './App.css';
import * as React from 'react';
import '@grapecity/wijmo.styles/wijmo.css';
import * as wjcCore from '@grapecity/wijmo';
import * as wjGrid from '@grapecity/wijmo.react.grid';
import '@grapecity/wijmo.cultures/wijmo.culture.ja';

wjcCore.setLicenseKey('ここにライセンスキーの文字列を設定します');

const App = () => {
  const [data] = React.useState(getData());
  return (
    <>
      <wjGrid.FlexGrid itemsSource={data}>
        <wjGrid.FlexGridColumn header="商品名" binding="product" width={200} />
        <wjGrid.FlexGridColumn header="受注日" binding="date" width={120} />
        <wjGrid.FlexGridColumn header="金額" binding="amount" width={100} format='c' />
      </wjGrid.FlexGrid>
    </>
  );
};

function getData() {
  var gridData = [
    { id: 15, product: 'ピュアデミグラスソース', date: '2023/01/10', amount: 6000 },
    { id: 17, product: 'だしこんぶ', date: '2023/01/08', amount: 14500 },
    { id: 18, product: 'ピリカラタバスコ', date: '2023/01/12', amount: 4000 },
    { id: 84, product: 'なまわさび', date: '2023/01/21', amount: 8000 }
  ];
  return gridData;
}

export default App;

WijmoのコントロールをReactに組み込む場合、クラスコンポーネントとして組み込む方法もあります。詳しくは製品ヘルプをご覧ください。

最後に仕上げとして「src\index.css」を以下のように修正し、余白を調整します。

body {
  margin: 10;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
・・・(中略)・・・

以上の手順で、Wijmoの組み込みは完了です。「npm start」コマンドを実行して「http://localhost:3000」に接続すると、ReactアプリケーションでFlexGridが表示されていることを確認できます。

ReactアプリにWijmoのFlexGridを表示

さいごに

以上がReactを使用してWijmoのデータグリッド「FlexGrid」でデータ表示を行うWebアプリケーションを作成する方法でした。

製品サイトでは、Wijmoの機能を手軽に体験できるデモアプリケーションやトライアル版も公開しておりますので、こちらもご確認ください。

また、ご導入前の製品に関するご相談、ご導入後の各種サービスに関するご質問など、お気軽にお問合せください。

\  この記事をシェアする  /